package cn.hmsoft.exception.develop;

import cn.hmsoft.exception.AppException;

/**********************
 * 开发期内错误
 * 
 * @author zxq
 * @create 2019-05-05 09:57:18
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class DevelopException extends AppException {
	private static final long serialVersionUID = 9095732931636949524L;
	private static final int err_code = 10200;

	public DevelopException(String sql) {
		super(err_code, sql);
	}

	public DevelopException(int err_code, String sql) {
		super(err_code, sql);
	}

	public DevelopException(int err_code, String sql, Throwable cause) {
		super(err_code, sql, cause);
	}

	public DevelopException(Throwable cause) {
		super(err_code, cause.getMessage(), cause);
	}

}
